WSCONSCFG(8)

NAME
wsconscfg - configure virtual terminals on a wscons display

SYNOPSIS
wsconscfg [-dFkm] [-e emul] [-f ctldev] [-t type] index

DESCRIPTION
The wsconscfg tool allows for the creation and removal of virtual terminals on display devices controlled by the wscons terminal framework, as long as the underlying display hardware driver supports multiple screens. Furthermore, it controls the assignment of keyboards to displays.

The index argument specifies which virtual terminal is to be configured. Valid numbers range from 0 to an implementation-specified value (currently 11, allowing for 12 virtual terminals on a display). In keyboard configuration mode (see -k, below), it specifies the wskbd(4) device to attach or detach. Without further option arguments, a virtual terminal is created with implementation specific properties and a default terminal emulation variant selected at kernel compile time.

The options are as follows:

-d  Delete the specified terminal. Any specified terminal that is currently open by a program will not be deleted unless the -F option is also given. Terminals used by the operating system console or a graphics program (X server) cannot be deleted. With the -k flag, the keyboard specified by index will be detached from the wscons display. With the -m flag, the multiplexor specified by index will be detached from the wscons display.

-e emul
    Specify the terminal emulation to use for the virtual terminal. The set of available terminal emulations is determined at kernel compile time. See wscons(4) for details.

-F  Force deletion of a terminal, keyboard, or multiplexor, even if it is in use by a userspace program.

-f ctldev
    Specify the control device of the wscons display to operate on. The default is /dev/ttyCcfg.

-k  Do keyboard related operations instead of virtual screen configuration. Without other flags, a keyboard will be attached to the display device. The index argument can be omitted: in that case the first free keyboard will be used.

-m  Do multiplexor related operations instead of virtual screen configuration. Without other flags, a multiplexor will be attached to the display device.

-t type
    Specify a screen type to use. Screen types refer to display format, color depth, and other low-level display properties. Valid type arguments are defined by the underlying display device driver.

EXAMPLES
Configure screen 1 (i.e., the second) for type “80x50” and VT100 terminal emulation. (Note: “80x50” is a screen type offered by the vga(4) display driver. In this particular case, an 8x8-font must be loaded beforehand to make the screen useful. See wsfontload(8).)

    # wsconscfg -t 80x50 -e vt100 1

Connect the first unconnected keyboard to the display:

    # wsconscfg -k

SEE ALSO
wscons(4), wskbd(4), wsconsctl(8), wsfontload(8)

HISTORY
The wsconscfg program first appeared in OpenBSD 2.8.